/* Importazione font da Google fonts */
@import url('https://fonts.googleapis.com/css?family=Lobster|Roboto+Condensed:300,400,700|Roboto:300,400,500,700,900');

:root {
    /* font variables */
    --font-family-title:'Lobster';
    --font-family:'Roboto';
    /* common variables */
    --margin-default: 15px;
    --margin-small: 5px;
    --margin-medium: 30px;
    --margin-big: 45px;
    --margin-extra-big: 60px;
    --border-radius-default:20px;
    /* font */
    --font-size-default: 16px;
}

/* BASE */
* {
    box-sizing: border-box;
}
html {
    background-color: var(--color-bg,white);
    color: var(--color-text,black);
    font-family:var(--font-family),sans-serif;
}

h1,h2,h3,h4,h5,h6 {
    font-family:var(--font-family-title),serif;
    font-weight: 400;
    margin-top:0;
}

a {
    color:var(--primary-default-text);
}

/* COMMON */
.container {
    max-width: 1200px;
    padding:var(--margin-default,15px);
    margin:0 auto;
}
.container-small {
    max-width: 650px;
    padding:var(--margin-default,15px);
    margin:0 auto;
}

/* HEADER */
header {
    padding:var(--margin-default,15px);
    background-color: var(--primary,black);
    color: var(--primary-text,white);
}
header h1 {
    margin:0;
    text-align: center;
}

header h1 a {
    text-decoration: none;
    color:var(--primary-text,white);
}


/* FIELDS */
input, textarea {
    border:1px solid var(--primary);
    border-radius:3px;
    padding:var(--margin-small);
    width:100%;
    box-sizing: border-box;
}

textarea {
    max-width:100%;
    min-width:100%;
    min-height: 100px;
}

fieldset {
    border:1px solid var(--primary-light);
    padding:var(--margin-default);
    border-radius:3px;
    margin-bottom: var(--margin-default);
}

/* BUTTON */
button, .btn {
    border:1px solid var(--primary);
    border-radius:3px;
    padding:var(--margin-small);
    width:100%;
    box-sizing: border-box;
    background-color: var(--primary);
    color: var(--primary-text);
    cursor:pointer;
}

.btn-inverse {
    border:1px solid var(--primary);
    background-color: var(--primary-text);
    color: var(--primary);
}

/* LOADER */
#loader {
    font-size: 100px;
    text-align: center;
}